library ieee;
use ieee.std_logic_1164.all;

entity multiplexer32 is
    port(Rsel: in std_logic;
        Rsubtract: in std_logic_vector(31 downto 0);
        Q: out std_logic_vector(31 downto 0));
    end multiplexer32;
    
    architecture multiplexer32_arch of multiplexer32 is
        begin
        with Rsel select Q<=
        (others => '0') when '0',
        Rsubtract when '1',
        (others => '0') when others;
        
    end multiplexer32_arch;