library ieee;
use ieee.std_logic_1164.all;

entity Aregister is
    port(LA:in std_logic;EA:in std_logic;
        CLK:in std_logic;A:in std_logic_vector(7 downto 0);
        Q:out std_logic);
    end Aregister;
    
    architecture Aregister_arch of Aregister is
        signal IQ:std_logic_vector(7 downto 0):= (others => '0');
        begin
            process(CLK)                
                begin
                    if CLK'event and CLK='1' then
                        if LA='1' then IQ<=A;
                        elsif EA='1' then IQ<=IQ(6 downto 0) & '0';
                        elsif EA='0' and LA='0' then IQ<=IQ;
                    end if;
                end if;
                Q<=IQ(7);
                               
            end process;
        end Aregister_arch;
                
                
                
                
                
                
                
                