library ieee;
use ieee.std_logic_1164.all;

entity divider32_tb is
end divider32_tb;

architecture divider32_tb_arch of divider32_tb is
    component divider32 port(B,A: in std_logic_vector(31 downto 0);
        R,Q: out std_logic_vector(31 downto 0);CLK: in std_logic;
        s: in std_logic);
    end component;
    
    signal A: std_logic_vector(31 downto 0):="10011010100101010010101010100101";
    signal B: std_logic_vector(31 downto 0):="00001001111111111110000101010101";
    signal Q: std_logic_vector(31 downto 0);
    signal R: std_logic_vector(31 downto 0);
    signal CLK: std_logic;
    signal s: std_logic;
    
    begin
        U1: divider32 port map(B=>B,A=>A,R=>R,Q=>Q,CLK=>CLK,s=>s);
        U2: process
              begin
              CLK<='1'; wait for 10 ns;
              CLK<='0'; wait for 10 ns;
          end process;
        U3: process
        begin
        s<='0'; wait for 60 ns;
        s<='1'; wait for 60 ns;
        A<="10011010100101010010101010100101"; wait for 500 ns;
        B<="00001001111111111110000101010101"; wait for 500 ns;
        s<='0'; wait for 60 ns;
    end process;
end divider32_tb_arch;