library ieee;
use ieee.std_logic_1164.all;

entity divider3_tb is
end divider3_tb;

architecture divider3_tb_arch of divider3_tb is
    component divider port(B,A: in std_logic_vector(7 downto 0);
        R,Q: out std_logic_vector(7 downto 0);CLK: in std_logic;
        s: in std_logic);
    end component;
    
    signal A: std_logic_vector(7 downto 0):="11111010";
    signal B: std_logic_vector(7 downto 0):="01111101";
    signal Q: std_logic_vector(7 downto 0);
    signal R: std_logic_vector(7 downto 0);
    signal CLK: std_logic;
    signal s: std_logic;
    
    begin
        U1: divider port map(B=>B,A=>A,R=>R,Q=>Q,CLK=>CLK,s=>s);
        U2: process
              begin
              CLK<='1'; wait for 10 ns;
              CLK<='0'; wait for 10 ns;
          end process;
        U3: process
        begin
        s<='0'; wait for 60 ns;
        s<='1'; wait for 60 ns;
        A<="11111010"; wait for 150 ns;
        B<="01111101"; wait for 150 ns;
        s<='0'; wait for 60 ns;
    end process;
end divider3_tb_arch;