library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.STD_LOGIC_ARITH.all;
use IEEE.STD_LOGIC_unsigned.all;

entity counters32 is
    port (
        CLK: in STD_LOGIC;
        LC: in STD_LOGIC;
        EC: in STD_LOGIC; 
        Q: out STD_LOGIC_VECTOR (4 downto 0);
        count: out STD_LOGIC
    );
end counters32;

architecture counters32_arch of counters32 is
signal IQ: std_logic_vector(4 downto 0):="11111";
begin
   process (CLK,IQ)
   begin
       if (CLK'event and CLK = '1') then
          if LC = '1' and EC='0' then IQ <= "11111";count<='0';
          elsif EC = '1' and LC='0' then IQ <= IQ-1;         
          end if;
       end if;
       
       if (IQ = 0) then count <= '1';
       else count <= '0';
       end if;
       Q <= IQ;
    end process;
end counters32_arch;