library IEEE;
use IEEE.std_logic_1164.all;

entity full_adder32 is
    port (
        X:          in STD_LOGIC;
        Y:          in STD_LOGIC;
        CIN:      in STD_LOGIC;
        sum:         out STD_LOGIC;
        COUT: out STD_LOGIC
    );
end full_adder32;

architecture full_adder32_arch of full_adder32 is
begin
  sum    <= (X XOR Y) XOR CIN ;
  COUT <= (X AND Y) OR (X AND CIN) OR (Y AND CIN);
end full_adder32_arch;
