library ieee;
use ieee.std_logic_1164.all;

entity Aregister_tb is
end Aregister_tb;

architecture Aregister_tb_arch of Aregister_tb is

   signal CLK,LA,EA: std_logic;
   signal Q: std_logic_vector(7 downto 0);
   signal A: std_logic_vector(7 downto 0):="11001011";
        
        component Aregister 
             port(LA:in std_logic;EA:in std_logic;
                 CLK:in std_logic;A:in std_logic_vector(7 downto 0);
                 Q:out std_logic_vector(7 downto 0));            
            end component;
            
            begin
              UUT: Aregister port map (LA=>LA,EA=>EA,CLK=>CLK,A=>A,Q=>Q);
              
              process
              begin
              CLK<='1'; wait for 5 ns;
              CLK<='0'; wait for 5 ns;
          end process;
          
          process
          begin
          EA<='0'; wait for 20 ns;
          LA<='1'; wait for 20 ns;
          LA<='0'; wait for 20 ns;
          EA<='1'; wait for 20 ns;
          EA<='0'; wait for 20 ns;
          EA<='1'; wait for 20 ns;
          EA<='0'; wait for 20 ns;
          EA<='1'; wait for 20 ns;
          EA<='0'; wait for 20 ns;
          EA<='1'; wait for 20 ns;
          EA<='0'; wait for 20 ns;
          EA<='1'; wait for 20 ns;
          EA<='0'; wait for 20 ns;
          EA<='1'; wait for 20 ns;
          EA<='0'; wait for 20 ns;
          EA<='1'; wait for 20 ns;
          EA<='0'; wait for 20 ns;
          EA<='1'; wait for 20 ns;         
 
          wait;
      end process;  
      end Aregister_tb_arch;
          
          
          
          
          
          
          
          