library ieee;
use ieee.std_logic_1164.all;

entity Bregister_tb is
end Bregister_tb;

architecture Bregister_tb_arch of Bregister_tb is

   signal CLK,EB: std_logic;
   signal B: std_logic_vector(7 downto 0):="11001011";
   signal Q: std_logic_vector(7 downto 0);
        
        component Bregister 
             port (CLK,EB: in std_logic; B: in std_logic_vector(7 downto 0);         
            Q: out std_logic_vector(7 downto 0):="00000000");               
            end component;
            
            begin
              UUT: Bregister port map (CLK=>CLK,EB=>EB,B=>B,Q=>Q);
              
              process
              begin
              CLK<='1'; wait for 5 ns;
              CLK<='0'; wait for 5 ns;
          end process;
          
          process
          begin
          EB<='0'; wait for 20 ns;
          EB<='1'; wait for 20 ns;
          wait;
      end process;  
      end Bregister_tb_arch;