library ieee;
    use ieee.std_logic_1164.all;
    
    entity state_machine_tb is
    end;
    
    architecture state_machine_tb_arch of state_machine_tb is
        signal CLK,s,z,cout,Rsel,LR,LC,ER,EA,EQ,EC: std_logic:='0';
        
        component state_machine
            port(s: in std_logic;
                 z: in std_logic;
                 cout: in std_logic;
                 CLK: in std_logic;
                 Rsel: out std_logic;
                 LR: out std_logic;
                 LC: out std_logic;
                 ER: out std_logic;
                 EA: out std_logic;
                 EQ: out std_logic;
                 EC: out std_logic);
            end component;
            
            begin
              UUT: state_machine port map (s=>s,z=>z,cout=>cout,CLK=>CLK,
              Rsel=>Rsel,LR=>LR,LC=>LC,ER=>ER,EA=>EA,EQ=>EQ,EC=>EC);
              
              process
              begin
              CLK<='1'; wait for 5 ns;
              CLK<='0'; wait for 5 ns;
          end process;
          
          process
          begin
          s<='1'; wait for 100 ns;
          z<='0'; wait for 150 ns;
          cout<='0'; wait for 100 ns;          
          z<='1'; wait for 150 ns;
          s<='0'; wait for 20 ns;
          wait;
      end process;
  end state_machine_tb_arch;