library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.STD_LOGIC_ARITH.all;
use IEEE.STD_LOGIC_unsigned.all;

entity counters is
    port (
        CLK: in STD_LOGIC;
        LC: in STD_LOGIC;
        EC: in STD_LOGIC; 
        Q: out STD_LOGIC_VECTOR (3 downto 0);
        count: out STD_LOGIC
    );
end counters;

architecture counters_arch of counters is
signal IQ: std_logic_vector(3 downto 0):="1111";
begin
   process (CLK,IQ)
   begin
       if (CLK'event and CLK = '1') then
          if LC = '1' and EC='0' then IQ <= "1111";count<='0';
          elsif EC = '1' and LC='0' then IQ <= IQ-1;         
          end if;
       end if;
       
       if (IQ = 0) then count <= '1';
       else count <= '0';
       end if;
       Q <= IQ;
    end process;
end counters_arch;
