library ieee;
use ieee.std_logic_1164.all;

entity divider_tb is
end divider_tb;

architecture divider_tb_arch of divider_tb is
    component divider port(B,A: in std_logic_vector(7 downto 0);
        R,Q: out std_logic_vector(7 downto 0);CLK: in std_logic);
    end component;
    
    signal A: std_logic_vector(7 downto 0):="10001100";
    signal B: std_logic_vector(7 downto 0):="00001001";
    signal Q: std_logic_vector(7 downto 0);
    signal R: std_logic_vector(7 downto 0);
    signal CLK: std_logic;
    
    begin
        U1: divider port map(B=>B,A=>A,R=>R,Q=>Q,CLK=>CLK);
        U2: process
              begin
              CLK<='1'; wait for 0.5 ns;
              CLK<='0'; wait for 0.5 ns;
          end process;
        U3: process
        begin
        A<="10001100"; wait for 60 ns;
        B<="00001001"; wait for 60 ns;
    end process;
end divider_tb_arch;
        