library IEEE;
    use IEEE.std_logic_1164.all;

entity twocomp is
   port ( X: in std_logic_vector(7 downto 0);
      Y: out std_logic_vector(7 downto 0));
  end twocomp;
  
  architecture twocomp_arch of twocomp is
      signal Ys: std_logic_vector(7 downto 0);       
      begin          
          process (X) 
          variable a: std_logic;             
              begin
                  a:='0';
                  for i in 0 to 7 loop
                  if X(i)='0' and a='1' then Ys(i)<='1'; end if;
                  if X(i)='0' and a='0' then Ys(i)<='0'; end if;
                  if X(i)='1' and a='1' then Ys(i)<='0'; end if;
                  if X(i)='1' and a='0' then Ys(i)<='1'; a:='1'; end if;
              end loop;        
          end process;
          Y<=Ys;
      end twocomp_arch;