library ieee;
use ieee.std_logic_1164.all;

entity Aregister32 is
    port(LA:in std_logic;EA:in std_logic;
        CLK:in std_logic;A:in std_logic_vector(31 downto 0);
        Q:out std_logic_vector(31 downto 0));
    end Aregister32;
    
    architecture Aregister32_arch of Aregister32 is
        signal IQ:std_logic_vector(31 downto 0):= (others => '0');
        signal Atemp: std_logic_vector(31 downto 0):=A;
        begin
            process(CLK)                
                begin
                    if CLK'event and CLK='1' then
                        if LA='1' and EA='0' then  Atemp<=A;
                        elsif EA='1' and LA='0' then Atemp<=Atemp(30 downto 0) & '0';
                        elsif EA='0' and LA='0' then Atemp<=Atemp;
                    end if;
                end if;
                Q<=Atemp;
                               
            end process;
        end Aregister32_arch;