library ieee;
use ieee.std_logic_1164.all;

entity quotient32 is
    port(w,EQ,CLK: in std_logic;
        Q: out std_logic_vector(31 downto 0)); 
    end quotient32;
    
    architecture quotient32_arch of quotient32 is
        signal IQ: std_logic_vector(31 downto 0):= (others => '0');
        begin
            process(CLK)
                begin
                if CLK'event and CLK='1' then
                    if EQ='1' then IQ<=IQ(30 downto 0) & w;
                    else IQ<=IQ;
                end if;
            end if;
            Q<=IQ;
        end process;
    end quotient32_arch;