library IEEE;
use ieee.std_logic_1164.all;

entity Bregister is
   port (CLK,EB: in std_logic; B: in std_logic_vector(7 downto 0);         
            Q: out std_logic_vector(7 downto 0));             
end Bregister;

architecture Bregister_arch of Bregister is
    signal IQ: std_logic_vector(7 downto 0):="00000000";
begin
     process (CLK,EB)
     begin
          if CLK'event AND CLK = '1' then
          if EB='1'  then IQ <= B; 
          else IQ<=IQ;                        
         end if;
     end if;
     Q<=IQ;
      end process;
end Bregister_arch;
