library ieee;
use ieee.std_logic_1164.all;

entity Rregister_tb is
end Rregister_tb;

architecture Rregister_tb_arch of Rregister_tb is

   signal CLK,ER,LR,w: std_logic;
   signal R: std_logic_vector(7 downto 0):="11001011";
   signal Q: std_logic_vector(7 downto 0);
        
        component Rregister 
             port(LR,ER,CLK,w: in std_logic;
                  R:in std_logic_vector(7 downto 0);
                  Q:out std_logic_vector(7 downto 0));         
            end component;
            
            begin
              UUT: Rregister port map (LR=>LR,ER=>ER,CLK=>CLK,w=>w,R=>R,Q=>Q);
              
              process
              begin
              CLK<='1'; wait for 5 ns;
              CLK<='0'; wait for 5 ns;
          end process;
          
          process
          begin
          w<='0'; wait for 10 ns;
          ER<='0'; wait for 20 ns;
          LR<='1'; wait for 20 ns;
          LR<='0'; wait for 20 ns;
          ER<='1'; wait for 20 ns;
          ER<='0'; wait for 20 ns;
          ER<='1'; wait for 20 ns;
          ER<='0'; wait for 20 ns;
          ER<='1'; wait for 20 ns;
          ER<='0'; wait for 20 ns;
          ER<='1'; wait for 20 ns;
          ER<='0'; wait for 20 ns;
          ER<='1'; wait for 20 ns;
          ER<='0'; wait for 20 ns;
          ER<='1'; wait for 20 ns;
          ER<='0'; wait for 20 ns;
          ER<='1'; wait for 20 ns;
          ER<='0'; wait for 20 ns;
          ER<='1'; wait for 20 ns;         
 
          wait;
      end process;  
      end Rregister_tb_arch;