library ieee;
use ieee.std_logic_1164.all;

entity counters_tb is
end counters_tb;

architecture counters_tb_arch of counters_tb is
    
    signal CLK,LC,EC,count: std_logic;
    signal Q: std_logic_vector(3 downto 0);
    
    component counters
    port (CLK: in STD_LOGIC;
           LC: in STD_LOGIC;
           EC: in STD_LOGIC;
           Q: out STD_LOGIC_VECTOR (3 downto 0);
           count: out STD_LOGIC);
      end component;
    begin
        
        UUT: counters port map(CLK=>CLK,LC=>LC,EC=>EC,Q=>Q,count=>count);
        
        process
              begin
              CLK<='1'; wait for 5 ns;
              CLK<='0'; wait for 5 ns;
          end process;
          
          process
              begin
                  LC<='1'; wait for 20 ns;
                  LC<='0'; wait for 20 ns;
                  EC<='0'; wait for 20 ns;
                  EC<='1'; wait for 20 ns;
                  EC<='0'; wait for 20 ns;
                  EC<='1'; wait for 20 ns;
                  EC<='0'; wait for 20 ns;
                  EC<='1'; wait for 20 ns;
                   
                  wait;                     
              end process;    
end counters_tb_arch;