library ieee;
use ieee.std_logic_1164.all;

entity adder_tb is
end adder_tb;
architecture adder_tb_arch of adder_tb is
component adder
    port (    X : in std_logic_vector(7 downto 0);
		Y : in std_logic_vector(7 downto 0);
		C0 : in std_logic;
		sum : out std_logic_vector(7 downto 0);
		C8 : out std_logic );
end component;
	signal X : std_logic_vector(7 downto 0) := "00000000";
	signal Y : std_logic_vector(7 downto 0) := "00000000";
	signal C0 : std_logic := '0';
	signal sum : std_logic_vector(7 downto 0);
	signal C8 : std_logic;
begin
	UUT : adder
    port map (X  => X, Y  => Y, C0 => C0, sum  => sum, C8 => C8);
    process
    begin
       X <= "00000000"; wait for 10 ns;       Y <= "00000001"; wait for 10 ns;
       X <= "00000010"; wait for 10 ns;       Y <= "00000011"; wait for 10 ns;
       X <= "00000100"; wait for 10 ns;       Y <= "00000101"; wait for 10 ns;
       X <= "00000110"; wait for 10 ns;       Y <= "01100001"; wait for 10 ns;
       X <= "10000000"; wait for 10 ns;       Y <= "11111001"; wait for 10 ns;
       X <= "10001010"; wait for 10 ns;       Y <= "10110001"; wait for 10 ns;
       X <= "11010100"; wait for 10 ns;       Y <= "10011101"; wait for 10 ns;
       X <= "11110010"; wait for 10 ns;       Y <= "11110011"; wait for 10 ns;
       wait;
       end process;
end adder_tb_arch;