library ieee;
use ieee.std_logic_1164.all;

entity multiplexer_tb is
end multiplexer_tb;

architecture multiplexer_tb_arch of multiplexer_tb is
    
    signal Rsel: std_logic:='0';
    signal Rsubtract,Q: std_logic_vector(7 downto 0):="11111111";
    
    component multiplexer
        port(Rsel: in std_logic;
        Rsubtract: in std_logic_vector(7 downto 0);
        Q: out std_logic_vector(7 downto 0));
    end component;
    
    begin
        UUT: multiplexer port map(Rsel=>Rsel,Rsubtract=>Rsubtract,Q=>Q);
          
          process
              begin
                  Rsel<='1'; wait for 10 ns;                  
                  Rsel<='0'; wait for 20 ns;
                
                wait;
              end process;
    
end multiplexer_tb_arch;







